From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-caja/
Date: Sat, 3 Dec 2022 01:04:24 +0000 (UTC) [thread overview]
Message-ID: <1670029455.f3fe2093ca6a3c24bf319eaa90c46dadf4a50818.sam@gentoo> (raw)
commit: f3fe2093ca6a3c24bf319eaa90c46dadf4a50818
Author: Oz Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Thu Dec 1 09:40:38 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 3 01:04:15 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3fe2093
dev-python/python-caja: add 1.26.0
Signed-off-by: Oz Tiram <oz.tiram <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/python-caja/Manifest | 1 +
dev-python/python-caja/python-caja-1.26.0.ebuild | 57 ++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/dev-python/python-caja/Manifest b/dev-python/python-caja/Manifest
index 7f7de412fe04..45565b674f4f 100644
--- a/dev-python/python-caja/Manifest
+++ b/dev-python/python-caja/Manifest
@@ -1 +1,2 @@
DIST python-caja-1.24.0.tar.xz 312340 BLAKE2B a860cb1cc983221710d93943ac39b9b77761997fa6a52b32dceeeec381ee86d976c56266013d0370a28e7cb26de3601fec42234b4f91c78e5ac54992035e17ee SHA512 9febf7cae1736e30c80218dcfd3cc05b948823b99945ed67c1839ab5149aa3fe05b090d46c598810f0cde8ba66b83426c4642f6ebdbef6067f6b2fbc0798e816
+DIST python-caja-1.26.0.tar.xz 314936 BLAKE2B 1fabd7bafa19051a19643aa9f10180d72062bc485231760439d988936406e07b9e600a80c1c9d45c88a5ac40c0b16e90878c02dba81f722d8a6f60713fe28cc7 SHA512 632b0b4a9fa29bdcde3b84b37820a7e171b59e78972f71c0c3d25d52cad8233ae7d1548e23ed6d3a06734b084532db1c4e85c3beaed15fce88cf8abff5be35d0
diff --git a/dev-python/python-caja/python-caja-1.26.0.ebuild b/dev-python/python-caja/python-caja-1.26.0.ebuild
new file mode 100644
index 000000000000..378681f190a4
--- /dev/null
+++ b/dev-python/python-caja/python-caja-1.26.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MATE_LA_PUNT="yes"
+PYTHON_COMPAT=( python{3_8,3_9,3_10,3_11} )
+
+inherit mate python-single-r1
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+DESCRIPTION="Python bindings for the Caja file manager"
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="doc"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ >=dev-libs/glib-2.50:2
+ $( python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]' )
+ >=mate-base/caja-1.17.1[introspection]
+ >=x11-libs/gtk+-3.22:3
+"
+
+RDEPEND="${COMMON_DEPEND}"
+
+BDEPEND="${COMMON_DEPEND}
+ dev-util/gtk-doc
+ dev-util/gtk-doc-am
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ doc? ( app-text/docbook-xml-dtd:4.1.2 )
+"
+
+src_prepare() {
+ MATE_FORCE_AUTORECONF="true"
+
+ sed -i "s/\$(PACKAGE)/${PF}/g" examples/Makefile.am || die
+ mate_src_prepare
+}
+
+src_install() {
+ mate_src_install
+
+ # Keep the directory for systemwide extensions.
+ keepdir /usr/share/caja-python/extensions/
+
+ # The HTML documentation generation is broken and commented out by upstream.
+ #
+ #if use doc ; then
+ # insinto /usr/share/gtk-doc/html/nautilus-python # for dev-util/devhelp
+ # doins -r docs/html/*
+ #fi
+}
next reply other threads:[~2022-12-03 1:04 UTC|newest]
Thread overview: 35+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-03 1:04 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-21 13:11 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-caja/ Petr Vaněk
2024-11-23 18:02 Arthur Zamarin
2024-11-23 16:44 Michał Górny
2024-07-29 10:42 Pacho Ramos
2024-04-09 17:28 Arthur Zamarin
2024-04-09 17:28 Arthur Zamarin
2024-04-09 17:28 Arthur Zamarin
2024-04-09 17:28 Arthur Zamarin
2021-08-02 1:40 Adam Feldman
2020-09-25 20:32 Adam Feldman
2020-08-07 3:18 Adam Feldman
2020-08-07 3:18 Adam Feldman
2020-05-07 15:08 Michał Górny
2020-04-06 17:49 Adam Feldman
2019-08-13 7:20 Michał Górny
2019-07-07 18:48 Göktürk Yüksek
2019-07-07 18:48 Göktürk Yüksek
2019-05-12 21:04 Göktürk Yüksek
2019-03-17 11:11 Mikle Kolyada
2018-02-11 15:03 Ettore Di Giacinto
2017-09-27 3:23 NP Hardass
2017-06-04 15:18 Ettore Di Giacinto
2016-12-08 15:31 Ettore Di Giacinto
2016-11-24 22:22 Ettore Di Giacinto
2016-11-21 11:02 Ettore Di Giacinto
2016-10-15 2:59 NP Hardass
2016-10-15 2:59 NP Hardass
2016-08-12 5:13 NP Hardass
2016-07-25 18:36 NP Hardass
2016-03-26 2:37 NP Hardass
2016-03-15 17:53 Agostino Sarubbo
2016-03-06 8:09 Mikle Kolyada
2016-02-09 2:49 NP Hardass
2016-01-01 22:58 NP Hardass
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1670029455.f3fe2093ca6a3c24bf319eaa90c46dadf4a50818.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox